apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: metallb-base
  namespace: argocd
  labels:
    env: infra
spec:
  project: infra
  source:
    repoURL: ssh://git@gitea-ssh.dev-tools.svc.cluster.local:2222/dvirlabs/infra.git
    targetRevision: HEAD
    path: vendor/metallb
    directory:
      recurse: true
  destination:
    server: https://kubernetes.default.svc
    namespace: metallb-system
  ignoreDifferences:
  - group: admissionregistration.k8s.io
    kind: ValidatingWebhookConfiguration
    jsonPointers:
      - /webhooks/0/clientConfig/caBundle
  - group: apiextensions.k8s.io
    kind: CustomResourceDefinition
    jsonPointers:
      - /spec/conversion/webhook/clientConfig/caBundle
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
